Details
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/products/{serviceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/products/{serviceId}"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/products/{serviceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"topCustomers": [
{
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"company_name": null,
"created_at": "2025-08-28T14:16:32.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Minim magni sed occa",
"gender": null,
"id": "01k3tep8ea4spt9hsef6qkr4jb",
"last_activity": null,
"last_name": "Aperiam enim libero",
"medias": [],
"metadata": {
"locale": "fr_FR"
},
"orders_count": 2,
"phone": "+237690139627",
"preferred_language": null,
"quantity_ordered": 2,
"registration_number": null,
"tax_number": null,
"total_spent": 40,
"type": "individual",
"updated_at": "2025-09-02T14:58:06.000000Z"
},
{
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"company_name": null,
"created_at": "2025-10-04T13:55:19.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Modi eius quam et in",
"gender": null,
"id": "01k6qr5ewbxmnfnh81tew1287a",
"last_activity": null,
"last_name": "Architecto sint par",
"medias": [],
"metadata": {
"locale": "fr_FR"
},
"orders_count": 1,
"phone": "+19662213087",
"preferred_language": null,
"quantity_ordered": 1,
"registration_number": null,
"tax_number": null,
"total_spent": 20,
"type": "individual",
"updated_at": "2025-10-04T13:56:44.000000Z"
},
{
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"company_name": null,
"created_at": "2025-09-02T12:47:19.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Quis voluptatem pos",
"gender": null,
"id": "01k457mkt7tee1fbdhrerse792",
"last_activity": null,
"last_name": "Ea velit deleniti do",
"medias": [],
"metadata": {
"locale": "fr_FR"
},
"orders_count": 1,
"phone": "+16393071859",
"preferred_language": null,
"quantity_ordered": 1,
"registration_number": null,
"tax_number": null,
"total_spent": 20,
"type": "individual",
"updated_at": "2025-09-02T12:50:12.000000Z"
},
{
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"company_name": null,
"created_at": "2025-09-02T14:06:08.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Cillum aute voluptat",
"gender": null,
"id": "01k45cc3y5va2k8qb4g9xxcjtw",
"last_activity": null,
"last_name": "Eum excepteur magni",
"medias": [],
"metadata": {
"locale": "fr_FR"
},
"orders_count": 1,
"phone": "+15098715184",
"preferred_language": null,
"quantity_ordered": 1,
"registration_number": null,
"tax_number": null,
"total_spent": 20,
"type": "individual",
"updated_at": "2025-09-02T14:12:56.000000Z"
},
{
"birthdate": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"company_name": null,
"created_at": "2025-10-04T08:25:31.000000Z",
"custom_fields": [],
"default_address": null,
"deleted_at": null,
"email": "[email protected]",
"first_name": "Magni totam fuga Ea",
"gender": null,
"id": "01k6qawgyh6b35xabtg67q95tx",
"last_activity": null,
"last_name": "Sed tenetur eum ut s",
"medias": [],
"metadata": {
"locale": "fr_FR"
},
"orders_count": 1,
"phone": "+15436499596",
"preferred_language": null,
"quantity_ordered": 1,
"registration_number": null,
"tax_number": null,
"total_spent": 20,
"type": "individual",
"updated_at": "2025-10-04T10:04:40.000000Z"
}
],
"topRelatedProducts": [
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Notre massage aura des déclinaisons, c'est pour tester que es déclinaisons fonctionnent bien",
"created_at": "2025-07-29T16:34:24.000000Z",
"deleted_at": null,
"handle": "service-avec-declinaison",
"id": "01k1bd44v0cw6crv25hct0s932",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"metadata": {
"image_ready": false
},
"occurrence": 12,
"published": 1,
"supplier_id": null,
"title": "Service avec déclinaison",
"type": "services",
"updated_at": "2025-07-29T16:34:24.000000Z",
"vendor": null
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Notre massage aura des variante, c'est pour tester que es variantes fonctionnent bien",
"created_at": "2025-07-29T16:29:32.000000Z",
"deleted_at": null,
"handle": "massage-avec-des-variantes",
"id": "01k1bcv6ycabyq577ew3w5m28g",
"is_shippable": 1,
"is_taxable": 1,
"medias": [
{
"collection_name": "default",
"created_at": "2025-10-01T09:05:47.000000Z",
"file_name": "media-library41ltkql8ci2tejhqVsZ",
"id": 52,
"large": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-large.webp",
"link": "https://cdn.genuka.com/preprod_api_genuka/52/media-library41ltkql8ci2tejhqVsZ",
"micro": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-micro.webp",
"mime_type": "image/jpeg",
"size": 20272,
"thumb": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-thumb.webp",
"updated_at": "2025-10-01T09:06:00.000000Z",
"webp": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-webp.webp"
}
],
"metadata": {
"custom": {
"order_question1_boolean": "vous avez un meuble en cuir ou tissu ?"
},
"image_ready": false,
"matchingMediaIds": {
"0": 52,
"1759309537538_0.21144814483945185": 52
},
"public_notes": {
"order_question1_boolean": "true",
"order_question2_number": "89",
"order_question3_text": "hhh"
}
},
"occurrence": 5,
"published": 1,
"supplier_id": null,
"title": "Massage avec des variantes",
"type": "services",
"updated_at": "2025-10-03T11:06:40.000000Z",
"vendor": null
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Massage chinois description",
"created_at": "2025-07-29T16:08:23.000000Z",
"deleted_at": null,
"handle": "massage-chinois",
"id": "01k1bbmg0f7kb1py8f3nah48kv",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"metadata": {
"image_ready": false
},
"occurrence": 4,
"published": 1,
"supplier_id": null,
"title": "Massage chinois",
"type": "services",
"updated_at": "2025-07-29T16:08:23.000000Z",
"vendor": null
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Notre service aura un acompte",
"created_at": "2025-07-29T16:09:57.000000Z",
"deleted_at": null,
"handle": "service-avec-acompte",
"id": "01k1bbqbf6g1gxmqtsj9cfe96c",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"metadata": {
"image_ready": false
},
"occurrence": 4,
"published": 1,
"supplier_id": null,
"title": "Service avec acompte",
"type": "services",
"updated_at": "2025-07-29T16:09:57.000000Z",
"vendor": null
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "Tenetur quibusdam be",
"created_at": "2025-09-02T13:00:56.000000Z",
"deleted_at": null,
"handle": "officia-culpa-est-c",
"id": "01k45889hvbg93k524qsb8va8k",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"metadata": {
"image_ready": false
},
"occurrence": 2,
"published": 1,
"supplier_id": null,
"title": "Officia culpa est c",
"type": "services",
"updated_at": "2025-09-02T13:00:56.000000Z",
"vendor": null
}
],
"topShops": [
{
"company": null,
"expires_at": null,
"order_products": [],
"orders_count": 13,
"pivot": {
"order_id": "01k3rg1bds9ngxn6t07bqd745b",
"price": 20,
"product_id": "01k2chr50pcrky3wt23ac8x5va",
"quantity": 1
},
"products": [],
"shop": {
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-07-29T09:32:01.000000Z",
"currency_code": "XAF",
"currency_name": "FCFA",
"deleted_at": null,
"description": "Debitis non rerum aperiam tenetur placeat ut dignissimos.",
"id": "01k1amypzhgs7fngfx1r9d37pn",
"metadata": null,
"name": "Brekke Group",
"slug": "brekke-group",
"updated_at": "2025-07-29T09:32:01.000000Z"
},
"shop_id": "01k1amypzhgs7fngfx1r9d37pn"
}
],
"totalOrders": 13,
"totalQuantity": 13,
"totalSales": 260
}Products
Get a product
Retrieve details of a single product using its unique identifier. Useful to display or edit a specific product.
GET
/
2023-11
/
admin
/
products
/
{serviceId}
Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[ { "birthdate": null, "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "company_name": null, "created_at": "2025-08-28T14:16:32.000000Z", "custom_fields": [], "default_address": null, "deleted_at": null, "email": "[email protected]", "first_name": "Minim magni sed occa", "gender": null, "id": "01k3tep8ea4spt9hsef6qkr4jb", "last_activity": null, "last_name": "Aperiam enim libero", "medias": [], "metadata": { "locale": "fr_FR" }, "orders_count": 2, "phone": "+237690139627", "preferred_language": null, "quantity_ordered": 2, "registration_number": null, "tax_number": null, "total_spent": 40, "type": "individual", "updated_at": "2025-09-02T14:58:06.000000Z" }, { "birthdate": null, "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "company_name": null, "created_at": "2025-10-04T13:55:19.000000Z", "custom_fields": [], "default_address": null, "deleted_at": null, "email": "[email protected]", "first_name": "Modi eius quam et in", "gender": null, "id": "01k6qr5ewbxmnfnh81tew1287a", "last_activity": null, "last_name": "Architecto sint par", "medias": [], "metadata": { "locale": "fr_FR" }, "orders_count": 1, "phone": "+19662213087", "preferred_language": null, "quantity_ordered": 1, "registration_number": null, "tax_number": null, "total_spent": 20, "type": "individual", "updated_at": "2025-10-04T13:56:44.000000Z" }, { "birthdate": null, "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "company_name": null, "created_at": "2025-09-02T12:47:19.000000Z", "custom_fields": [], "default_address": null, "deleted_at": null, "email": "[email protected]", "first_name": "Quis voluptatem pos", "gender": null, "id": "01k457mkt7tee1fbdhrerse792", "last_activity": null, "last_name": "Ea velit deleniti do", "medias": [], "metadata": { "locale": "fr_FR" }, "orders_count": 1, "phone": "+16393071859", "preferred_language": null, "quantity_ordered": 1, "registration_number": null, "tax_number": null, "total_spent": 20, "type": "individual", "updated_at": "2025-09-02T12:50:12.000000Z" }, { "birthdate": null, "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "company_name": null, "created_at": "2025-09-02T14:06:08.000000Z", "custom_fields": [], "default_address": null, "deleted_at": null, "email": "[email protected]", "first_name": "Cillum aute voluptat", "gender": null, "id": "01k45cc3y5va2k8qb4g9xxcjtw", "last_activity": null, "last_name": "Eum excepteur magni", "medias": [], "metadata": { "locale": "fr_FR" }, "orders_count": 1, "phone": "+15098715184", "preferred_language": null, "quantity_ordered": 1, "registration_number": null, "tax_number": null, "total_spent": 20, "type": "individual", "updated_at": "2025-09-02T14:12:56.000000Z" }, { "birthdate": null, "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "company_name": null, "created_at": "2025-10-04T08:25:31.000000Z", "custom_fields": [], "default_address": null, "deleted_at": null, "email": "[email protected]", "first_name": "Magni totam fuga Ea", "gender": null, "id": "01k6qawgyh6b35xabtg67q95tx", "last_activity": null, "last_name": "Sed tenetur eum ut s", "medias": [], "metadata": { "locale": "fr_FR" }, "orders_count": 1, "phone": "+15436499596", "preferred_language": null, "quantity_ordered": 1, "registration_number": null, "tax_number": null, "total_spent": 20, "type": "individual", "updated_at": "2025-10-04T10:04:40.000000Z" } ]
Show child attributes
Show child attributes
Example:
[ { "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "content": "Notre massage aura des déclinaisons, c'est pour tester que es déclinaisons fonctionnent bien", "created_at": "2025-07-29T16:34:24.000000Z", "deleted_at": null, "handle": "service-avec-declinaison", "id": "01k1bd44v0cw6crv25hct0s932", "is_shippable": 1, "is_taxable": 1, "medias": [], "metadata": { "image_ready": false }, "occurrence": 12, "published": 1, "supplier_id": null, "title": "Service avec déclinaison", "type": "services", "updated_at": "2025-07-29T16:34:24.000000Z", "vendor": null }, { "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "content": "Notre massage aura des variante, c'est pour tester que es variantes fonctionnent bien", "created_at": "2025-07-29T16:29:32.000000Z", "deleted_at": null, "handle": "massage-avec-des-variantes", "id": "01k1bcv6ycabyq577ew3w5m28g", "is_shippable": 1, "is_taxable": 1, "medias": [ { "collection_name": "default", "created_at": "2025-10-01T09:05:47.000000Z", "file_name": "media-library41ltkql8ci2tejhqVsZ", "id": 52, "large": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-large.webp", "link": "https://cdn.genuka.com/preprod_api_genuka/52/media-library41ltkql8ci2tejhqVsZ", "micro": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-micro.webp", "mime_type": "image/jpeg", "size": 20272, "thumb": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-thumb.webp", "updated_at": "2025-10-01T09:06:00.000000Z", "webp": "https://cdn.genuka.com/preprod_api_genuka/52/conversions/media-library41ltkql8ci2tejhqVsZ-webp.webp" } ], "metadata": { "custom": { "order_question1_boolean": "vous avez un meuble en cuir ou tissu ?" }, "image_ready": false, "matchingMediaIds": { "0": 52, "1759309537538_0.21144814483945185": 52 }, "public_notes": { "order_question1_boolean": "true", "order_question2_number": "89", "order_question3_text": "hhh" } }, "occurrence": 5, "published": 1, "supplier_id": null, "title": "Massage avec des variantes", "type": "services", "updated_at": "2025-10-03T11:06:40.000000Z", "vendor": null }, { "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "content": "Massage chinois description", "created_at": "2025-07-29T16:08:23.000000Z", "deleted_at": null, "handle": "massage-chinois", "id": "01k1bbmg0f7kb1py8f3nah48kv", "is_shippable": 1, "is_taxable": 1, "medias": [], "metadata": { "image_ready": false }, "occurrence": 4, "published": 1, "supplier_id": null, "title": "Massage chinois", "type": "services", "updated_at": "2025-07-29T16:08:23.000000Z", "vendor": null }, { "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "content": "Notre service aura un acompte", "created_at": "2025-07-29T16:09:57.000000Z", "deleted_at": null, "handle": "service-avec-acompte", "id": "01k1bbqbf6g1gxmqtsj9cfe96c", "is_shippable": 1, "is_taxable": 1, "medias": [], "metadata": { "image_ready": false }, "occurrence": 4, "published": 1, "supplier_id": null, "title": "Service avec acompte", "type": "services", "updated_at": "2025-07-29T16:09:57.000000Z", "vendor": null }, { "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "content": "Tenetur quibusdam be", "created_at": "2025-09-02T13:00:56.000000Z", "deleted_at": null, "handle": "officia-culpa-est-c", "id": "01k45889hvbg93k524qsb8va8k", "is_shippable": 1, "is_taxable": 1, "medias": [], "metadata": { "image_ready": false }, "occurrence": 2, "published": 1, "supplier_id": null, "title": "Officia culpa est c", "type": "services", "updated_at": "2025-09-02T13:00:56.000000Z", "vendor": null } ]
Show child attributes
Show child attributes
Example:
[ { "company": null, "expires_at": null, "order_products": [], "orders_count": 13, "pivot": { "order_id": "01k3rg1bds9ngxn6t07bqd745b", "price": 20, "product_id": "01k2chr50pcrky3wt23ac8x5va", "quantity": 1 }, "products": [], "shop": { "company_id": "01hqydxwtxdj3kmzp3bz7jk73g", "created_at": "2025-07-29T09:32:01.000000Z", "currency_code": "XAF", "currency_name": "FCFA", "deleted_at": null, "description": "Debitis non rerum aperiam tenetur placeat ut dignissimos.", "id": "01k1amypzhgs7fngfx1r9d37pn", "metadata": null, "name": "Brekke Group", "slug": "brekke-group", "updated_at": "2025-07-29T09:32:01.000000Z" }, "shop_id": "01k1amypzhgs7fngfx1r9d37pn" } ]
Example:
13
Example:
13
Example:
260
⌘I
